Update a Let's Encrypt SSL certificate

PUT/v1/ssl_certificates/letsencrypt/{id}

A Let's Encrypt SSL certificate specified in the path parameter will be updated by a PUT request to the /v1/ssl_certificates/letsencrypt/{id} endpoint. Labels can be added in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

A unique identifier of a Let's Encrypt SSL certificate.

Request Body

application/json

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/ssl_certificates/letsencrypt/pmbk8xdz" \  -H "Content-Type: application/json" \  -d '{    "labels": {      "environment": "production",      "service": "my-web-app",      "example.com/project": "my-project",      "example.com/owner": "my-team"    }  }'
{  "id": "pmbk8xdz",  "name": "name968",  "type": "letsencrypt",  "issuer": null,  "subject": "example-1234.com",  "domain_names": [],  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "expires_at": null,  "created_at": "2026-05-28T07:01:44Z",  "updated_at": "2026-05-28T07:01:44Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}